Bug 488101 - Review Request: django-contact-form - An extensible contact-form application for Django
Review Request: django-contact-form - An extensible contact-form application ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 488151 488963
  Show dependency treegraph
 
Reported: 2009-03-02 12:59 EST by Ignacio Vazquez-Abrams
Modified: 2009-03-23 01:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 01:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2009-03-02 12:59:03 EST
Spec URL: http://ivazquez.fedorapeople.org/packages/django-contact-form/django-contact-form.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/django-contact-form/django-contact-form-0.3-2.src.rpm
Description: An extensible contact-form application for Django
Comment 1 Parag AN(पराग) 2009-03-03 03:12:14 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1216155
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
4192a2d364814f503dde030985208c37  contact_form-0.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ egg file generated from source.

Suggestions:
1) I will suggest to use 
%doc CONTRIBUTORS.txt LICENSE.txt docs/*
will make not to create docs named directory
2) Change %define to %global

APPROVED.
Comment 2 Ignacio Vazquez-Abrams 2009-03-03 04:39:43 EST
New Package CVS Request
=======================
Package Name: django-contact-form
Short Description: An extensible contact-form application for Django
Owners: ivazquez
Branches: F-9 F-10 EL-5
Comment 3 Kevin Fenzi 2009-03-03 15:42:34 EST
cvs done.
Comment 4 Parag AN(पराग) 2009-03-23 00:56:12 EDT
If this package is built for all requested branches then can we have this review closed now?

Note You need to log in before you can comment on or make changes to this bug.